import { Elysia } from "elysia";

const app = new Elysia()
  .get("/", () => Bun.file("./src/frontend/index.html"))
  .get('/htmx.min.js', () => Bun.file("./src/frontend/htmx.min.js"))
  .get("/content/post", () => "I'm from the server")
  .listen(3000);

console.log(
  `🦊 Elysia is running at ${app.server?.hostname}:${app.server?.port}`
);


function ssr() {
  let appShell = Bun.file('./src/frontend/shell.html').text()
  return appShell
}